Package: org.gradle.api.artifacts.component

## [Java] Interface LibraryBinaryIdentifier

- org.gradle.api.artifacts.component.ComponentIdentifier

- All Superinterfaces:
    ComponentIdentifier

  An identifier for a library instance that is built as part of the current build.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getLibraryName()` The name of the library
    `String` | `getProjectPath()` The project path of the library.
    `String` | `getVariant()` The variant of the library.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentIdentifier` | `getDisplayName`

- - ### Method Detail

    - #### public String getLibraryName()

      The name of the library

      Returns:
        the name of the library

    - #### public String getProjectPath()

      The project path of the library.

      Returns:
        The project path of the library.

    - #### public String getVariant()

      The variant of the library.

      Returns:
        the variant identifier of the library.